Bug 1154321 - Fedora Packaging Rules violation: No source for chrome/content/rulesets.json
Summary: Fedora Packaging Rules violation: No source for chrome/content/rulesets.json
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: mozilla-https-everywhere
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Russell Golden
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 739323
TreeView+ depends on / blocked
 
Reported: 2014-10-18 19:31 UTC by Jan Kratochvil
Modified: 2019-11-02 07:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 12:15:21 UTC


Attachments (Terms of Use)

Description Jan Kratochvil 2014-10-18 19:31:32 UTC
Description of problem:
Rules are present only as binary .sqlite database despite package's GIT sources contain all the text files to build that .sqlite database.
https://fedoraproject.org/wiki/Packaging:Guidelines#No_inclusion_of_pre-built_binaries_or_libraries

Version-Release number of selected component (if applicable):
mozilla-https-everywhere-4.0.2-1.fc22

How reproducible:
Always.

Steps to Reproduce:
grep -ri arpnetwork .

Actual results:
Binary file ./mozilla-https-everywhere-4.0.2/defaults/rulesets.sqlite matches

Expected results:
grep -ri arpnetwork https-everywhere/
https-everywhere/src/chrome/content/rules/ARPNetworks.com.xml:	support.arpnetworks.com is mostly handled in ENTP-clients.xml.
https-everywhere/src/chrome/content/rules/ARPNetworks.com.xml:<ruleset name="ARPNetworks.com (partial)">
https-everywhere/src/chrome/content/rules/ARPNetworks.com.xml:	<target host="arpnetworks.com" />
[...]

Additional info:
https://gitweb.torproject.org/https-everywhere.git

Comment 1 Russell Golden 2014-10-25 15:08:13 UTC
Ah. Before the sqlite changeover, they had been XML. I never switched from just grabbing the XPI and extracting it. Completely forgot that SQL databases were technically binary.

Should a new release be pushed out ASAP for this, or can it wait until the next upstream release? I intend to fix it right now in SCM and Rawhide either way.

Comment 2 Russell Golden 2014-10-25 15:30:20 UTC
I forgot about this. Fixing this bug will make it unable to build on EL6. The build requires Python 2.7. I don't know the needed python to patch the build scripts.

Comment 3 Jan Kratochvil 2014-10-26 09:15:43 UTC
(In reply to Russell Golden from comment #1)
> Should a new release be pushed out ASAP for this, or can it wait until the
> next upstream release?

I find a next upstream release fine, it is great there is at least a response to this Bug.  Thanks.


(In reply to Russell Golden from comment #2)
> I forgot about this. Fixing this bug will make it unable to build on EL6.
> The build requires Python 2.7.

Maybe to package that .sqlite file into .src.rpm and use it only for EL6 build?  But this may be more a question for fedora-devel if there are some established practices for such cases.

Comment 4 Russell Golden 2014-11-01 16:48:48 UTC
> I find a next upstream release fine, it is great there is at least a
> response to this Bug.  Thanks.

You... expected... no response? O.o

> Maybe to package that .sqlite file into .src.rpm and use it only for EL6
> build?  But this may be more a question for fedora-devel if there are some
> established practices for such cases.

I'd better ask, yeah.

Comment 5 Jaroslav Reznik 2015-03-03 17:04:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 6 Fedora End Of Life 2016-07-19 12:15:21 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Jan Kratochvil 2016-07-19 13:25:47 UTC
It is now in "chrome/content/rulesets.json" so it is more editable but still that is apparently a compilation output file.

Comment 8 Jan Kurik 2016-07-26 04:50:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 9 Dominik 'Rathann' Mierzejewski 2017-02-14 23:18:21 UTC
At the moment, we are using signed upstream tarballs to take advantage of Firefox's signature validation. Building from upstream git source is a major undertaking due to many build dependencies. I've already tried once, but the number of new required JS packages quickly grew into tens of packages, so I gave up. Help is welcome.

Comment 10 Jan Kratochvil 2017-02-15 17:08:17 UTC
I did rebuild it fine some time ago.  I will try to package a build script.

Why Status->POST?

Comment 11 Russell Golden 2017-02-16 02:57:57 UTC
Geez. The build deps got even worse when I wasn't paying attention, didn't they?

As long as you're going to build it from source, you might disable the cacert.org rules. I asked for a build flag to be added for that a long time ago, but since compiling for EPEL was such a pain, I never used it.

Comment 12 Russell Golden 2017-02-16 03:09:07 UTC
I think I'll take back up building for EPEL now that I have a Fedora system installed FINALLY. I may have to resort to decompressing the tarball, though. The difficulty building it once EFF changed the build reqs is what made me give up and decompress in the first place. I *still* don't know python. <_<

Comment 13 Fedora End Of Life 2017-02-28 09:38:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 14 Fedora End Of Life 2018-05-03 08:19:04 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Jan Kratochvil 2018-05-03 08:38:46 UTC
mozilla-https-everywhere-2018.1.29-2.fc29

https-everywhere-2018.1.29-eff/rules/default.rulesets

Comment 16 Jan Kurik 2018-08-14 10:24:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 17 Ben Cotton 2019-10-31 20:51:16 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 18 Jan Kratochvil 2019-11-02 07:43:37 UTC
mozilla-https-everywhere-2019.6.27-3.fc31


Note You need to log in before you can comment on or make changes to this bug.